Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.dom
Class PropertyRuntimeModel.ElementProperty

    java.lang.Object
      de.grogra.xl.impl.dom.PropertyRuntimeModel.ElementProperty

All Implemented Interfaces:
  RuntimeModel.Property

Enclosing class:
  PropertyRuntimeModel

    public static class PropertyRuntimeModel.ElementProperty

extends java.lang.Object
implements RuntimeModel.Property

Method Summary
`boolean` | `getBoolean(java.lang.Object object, int[] indices)`
`byte` | `getByte(java.lang.Object object, int[] indices)`
`char` | `getChar(java.lang.Object object, int[] indices)`
`double` | `getDouble(java.lang.Object object, int[] indices)`
`float` | `getFloat(java.lang.Object object, int[] indices)`
`int` | `getInt(java.lang.Object object, int[] indices)`
`long` | `getLong(java.lang.Object object, int[] indices)`
`java.lang.Object` | `getObject(java.lang.Object object, int[] indices)`
`short` | `getShort(java.lang.Object object, int[] indices)`
`java.lang.Class<?>` | `getType()`
`void` | `setBoolean(java.lang.Object object, int[] indices, boolean value)`
`void` | `setByte(java.lang.Object object, int[] indices, byte value)`
`void` | `setChar(java.lang.Object object, int[] indices, char value)`
`void` | `setDouble(java.lang.Object object, int[] indices, double value)`
`void` | `setFloat(java.lang.Object object, int[] indices, float value)`
`void` | `setInt(java.lang.Object object, int[] indices, int value)`
`void` | `setLong(java.lang.Object object, int[] indices, long value)`
`void` | `setObject(java.lang.Object object, int[] indices, java.lang.Object value)`
`void` | `setShort(java.lang.Object object, int[] indices, short value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.Object object,
                              int[] indices)

  Specified by:
    `getBoolean` in interface `RuntimeModel.Property`

### getByte

    public byte getByte(java.lang.Object object,
                        int[] indices)

  Specified by:
    `getByte` in interface `RuntimeModel.Property`

### getChar

    public char getChar(java.lang.Object object,
                        int[] indices)

  Specified by:
    `getChar` in interface `RuntimeModel.Property`

### getDouble

    public double getDouble(java.lang.Object object,
                            int[] indices)

  Specified by:
    `getDouble` in interface `RuntimeModel.Property`

### getFloat

    public float getFloat(java.lang.Object object,
                          int[] indices)

  Specified by:
    `getFloat` in interface `RuntimeModel.Property`

### getInt

    public int getInt(java.lang.Object object,
                      int[] indices)

  Specified by:
    `getInt` in interface `RuntimeModel.Property`

### getLong

    public long getLong(java.lang.Object object,
                        int[] indices)

  Specified by:
    `getLong` in interface `RuntimeModel.Property`

### getObject

    public java.lang.Object getObject(java.lang.Object object,
                                      int[] indices)

  Specified by:
    `getObject` in interface `RuntimeModel.Property`

### getShort

    public short getShort(java.lang.Object object,
                          int[] indices)

  Specified by:
    `getShort` in interface `RuntimeModel.Property`

### getType

    public java.lang.Class<?> getType()

  Specified by:
    `getType` in interface `RuntimeModel.Property`

### setBoolean

    public void setBoolean(java.lang.Object object,
                           int[] indices,
                           boolean value)

  Specified by:
    `setBoolean` in interface `RuntimeModel.Property`

### setByte

    public void setByte(java.lang.Object object,
                        int[] indices,
                        byte value)

  Specified by:
    `setByte` in interface `RuntimeModel.Property`

### setChar

    public void setChar(java.lang.Object object,
                        int[] indices,
                        char value)

  Specified by:
    `setChar` in interface `RuntimeModel.Property`

### setDouble

    public void setDouble(java.lang.Object object,
                          int[] indices,
                          double value)

  Specified by:
    `setDouble` in interface `RuntimeModel.Property`

### setFloat

    public void setFloat(java.lang.Object object,
                         int[] indices,
                         float value)

  Specified by:
    `setFloat` in interface `RuntimeModel.Property`

### setInt

    public void setInt(java.lang.Object object,
                       int[] indices,
                       int value)

  Specified by:
    `setInt` in interface `RuntimeModel.Property`

### setLong

    public void setLong(java.lang.Object object,
                        int[] indices,
                        long value)

  Specified by:
    `setLong` in interface `RuntimeModel.Property`

### setObject

    public void setObject(java.lang.Object object,
                          int[] indices,
                          java.lang.Object value)

  Specified by:
    `setObject` in interface `RuntimeModel.Property`

### setShort

    public void setShort(java.lang.Object object,
                         int[] indices,
                         short value)

  Specified by:
    `setShort` in interface `RuntimeModel.Property`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD